<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="author" content="Jan Podavka" />
        <title>Bakalářská práce</title>
    </head>
    <body>
        <?php
            require_once './class/classCrypt.php';
            require_once './class/classSQL.php';
            
            $key = "v9Pc_7pH%2aCvnX";
            
            $sifra = new ClassCrypt();
            $databaze = new classSQL();             
            
            $crypt = $sifra->getCrypt();
            $query = "SELECT * FROM suzivatel";
            $suzivatele = $databaze->query($query);
            
            while($data = mysqli_fetch_array($suzivatele)) {            
                $idSuzivatele = $data['id_suzivatele'];
                $zasifrovanyEmail = $data['semail'];
                $zasifrovaneJmeno = $data['sjmeno'];
                $zasifrovanePrijmeni = $data['sprijmeni'];
                $zasifrovaneHeslo = $data['sheslo'];
                $zasifrovanyStat = $data['sstat'];
                $zasifrovaneMesto = $data['smesto'];
                $zasifrovanaUlice = $data['sulice'];
                $zasifrovanePsc = $data['spsc'];
                $zasifrovanyTelefon = $data['stelefon'];
                        
                $zacatekCas = time();
                $zacatekDesifrovani = microtime();        

                $desifrovanyEmail = $sifra->decryptKey($zasifrovanyEmail, $key);
                $desifrovaneJmeno = $sifra->decryptKey($zasifrovaneJmeno, $key);
                $desifrovanePrijmeni = $sifra->decryptKey($zasifrovanePrijmeni, $key);
                $desifrovaneHeslo = $sifra->decryptKey($zasifrovaneHeslo, $key);
                $desifrovanyStat = $sifra->decryptKey($zasifrovanyStat, $key);
                $desifrovaneMesto = $sifra->decryptKey($zasifrovaneMesto, $key);
                $desifrovanaUlice = $sifra->decryptKey($zasifrovanaUlice, $key);
                $desifrovanePsc = $sifra->decryptKey($zasifrovanePsc, $key);
                $desifrovanyTelefon = $sifra->decryptKey($zasifrovanyTelefon, $key);

                $konecDesifrovani = microtime();    
                $konecCas = time();

                $cas = $konecCas - $zacatekCas;            
                $dobaDesifrovani = $konecDesifrovani-$zacatekDesifrovani;

                if($dobaDesifrovani<0){
                    $dobaDesifrovani = (1 + $dobaDesifrovani) + ($cas -1);
                }else{
                    $dobaDesifrovani = $dobaDesifrovani + $cas;
                }

                $query2 = "INSERT INTO duzivatel (demail, djmeno, dprijmeni, dheslo, dstat, dmesto, dulice, dpsc, dtelefon, sifra, ddoba, id_suzivatele) 
                    VALUES ('$desifrovanyEmail', '$desifrovaneJmeno', '$desifrovanePrijmeni', '$desifrovaneHeslo', '$desifrovanyStat',
                            '$desifrovaneMesto', '$desifrovanaUlice', '$desifrovanePsc', '$desifrovanyTelefon', '$crypt', '$dobaDesifrovani', '$idSuzivatele' )";

                $databaze->query($query2);
            }
        ?>
    </body>
</html>
