<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="author" content="Jan Podavka" />
        <title>Bakalářská práce</title>
    </head>
    <body>
        <?php
            require_once './class/classCrypt.php';
            require_once './class/classSQL.php';
            
//            set_time_limit(200); 
                                               
            $key = "v9Pc_7pH%2aCvnX";
                        
            $sifra = new classCrypt();
            $databaze = new classSQL();        
                                           
            $crypt = $sifra->getCrypt();               
            $query = "SELECT * FROM zatez";
            $zatez = $databaze->query($query);
            
            while($data = mysqli_fetch_array($zatez)) { 
                $idZateze = $data['id_zateze'];
                $text = $data['text'];
                
                $zacatekCas = time();
                $zacatekSifrovani = microtime();

                $zasifrovanyText = $sifra->encryptKey($text, $key);

                $konecSifrovani = microtime();    
                $konecCas = time();

                $cas = $konecCas - $zacatekCas;            
                $dobaSifrovani = $konecSifrovani-$zacatekSifrovani;

                if($dobaSifrovani<0){
                    $dobaSifrovani = (1 + $dobaSifrovani) + ($cas -1);
                }else{
                    $dobaSifrovani = $dobaSifrovani + $cas;
                }
                
                $query2 = "INSERT INTO szatez (stext, sifra, sdoba, id_zateze) 
                    VALUES ( '$zasifrovanyText', '$crypt', '$dobaSifrovani', '$idZateze')";
                $databaze->query($query2);            
            }
            
        ?>
    </body>
</html>
