-- phpMyAdmin SQL Dump
-- version 3.4.11.1deb2
-- http://www.phpmyadmin.net
--
-- Počítač: localhost
-- Vygenerováno: Úte 06. kvě 2014, 13:18
-- Verze MySQL: 5.5.37
-- Verze PHP: 5.4.4-14+deb7u9

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Databáze: `bakalarka`
--
CREATE DATABASE `bakalarka` DEFAULT CHARACTER SET utf8 COLLATE utf8_czech_ci;
USE `bakalarka`;

-- --------------------------------------------------------

--
-- Struktura tabulky `bemail`
--

CREATE TABLE IF NOT EXISTS `bemail` (
  `id_bemailu` int(11) NOT NULL AUTO_INCREMENT,
  `bpredmet` text COLLATE utf8_czech_ci NOT NULL,
  `btext` text COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `bdoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_emailu` int(11) NOT NULL,
  PRIMARY KEY (`id_bemailu`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `buzivatel`
--

CREATE TABLE IF NOT EXISTS `buzivatel` (
  `id_buzivatele` int(11) NOT NULL AUTO_INCREMENT,
  `bemail` text COLLATE utf8_czech_ci NOT NULL,
  `bjmeno` text COLLATE utf8_czech_ci NOT NULL,
  `bprijmeni` text COLLATE utf8_czech_ci NOT NULL,
  `bheslo` text COLLATE utf8_czech_ci NOT NULL,
  `bstat` text COLLATE utf8_czech_ci NOT NULL,
  `bmesto` text COLLATE utf8_czech_ci NOT NULL,
  `bulice` text COLLATE utf8_czech_ci NOT NULL,
  `bpsc` text COLLATE utf8_czech_ci NOT NULL,
  `btelefon` text COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `bdoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_uzivatele` int(11) NOT NULL,
  PRIMARY KEY (`id_buzivatele`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `bzatez`
--

CREATE TABLE IF NOT EXISTS `bzatez` (
  `id_bzateze` int(11) NOT NULL AUTO_INCREMENT,
  `btext` longtext COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `bdoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_zateze` int(11) NOT NULL,
  PRIMARY KEY (`id_bzateze`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `demail`
--

CREATE TABLE IF NOT EXISTS `demail` (
  `id_demail` int(11) NOT NULL AUTO_INCREMENT,
  `dpredmet` text COLLATE utf8_czech_ci NOT NULL,
  `dtext` text COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `ddoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_semail` int(11) NOT NULL,
  PRIMARY KEY (`id_demail`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `duzivatel`
--

CREATE TABLE IF NOT EXISTS `duzivatel` (
  `id_duzivatele` int(11) NOT NULL AUTO_INCREMENT,
  `demail` text COLLATE utf8_czech_ci NOT NULL,
  `djmeno` text COLLATE utf8_czech_ci NOT NULL,
  `dprijmeni` text COLLATE utf8_czech_ci NOT NULL,
  `dheslo` text COLLATE utf8_czech_ci NOT NULL,
  `dstat` text COLLATE utf8_czech_ci NOT NULL,
  `dmesto` text COLLATE utf8_czech_ci NOT NULL,
  `dulice` text COLLATE utf8_czech_ci NOT NULL,
  `dpsc` text COLLATE utf8_czech_ci NOT NULL,
  `dtelefon` text COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `ddoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_suzivatele` int(11) NOT NULL,
  PRIMARY KEY (`id_duzivatele`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `dzatez`
--

CREATE TABLE IF NOT EXISTS `dzatez` (
  `id_dzateze` int(11) NOT NULL AUTO_INCREMENT,
  `dtext` longtext COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `ddoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_szateze` int(11) NOT NULL,
  PRIMARY KEY (`id_dzateze`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `email`
--

CREATE TABLE IF NOT EXISTS `email` (
  `id_emailu` int(11) NOT NULL AUTO_INCREMENT,
  `predmet` text COLLATE utf8_czech_ci NOT NULL,
  `text` text COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`id_emailu`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=101 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `semail`
--

CREATE TABLE IF NOT EXISTS `semail` (
  `id_semail` int(11) NOT NULL AUTO_INCREMENT,
  `spredmet` text COLLATE utf8_czech_ci NOT NULL,
  `stext` text COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `sdoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_emailu` int(11) NOT NULL,
  PRIMARY KEY (`id_semail`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `smemail`
--

CREATE TABLE IF NOT EXISTS `smemail` (
  `id_smemail` int(11) NOT NULL AUTO_INCREMENT,
  `spredmet` text COLLATE utf8_czech_ci NOT NULL,
  `stext` text COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `sdoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_emailu` int(11) NOT NULL,
  PRIMARY KEY (`id_smemail`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `smuzivatel`
--

CREATE TABLE IF NOT EXISTS `smuzivatel` (
  `id_smuzivatele` int(11) NOT NULL AUTO_INCREMENT,
  `semail` text COLLATE utf8_czech_ci NOT NULL,
  `sjmeno` text COLLATE utf8_czech_ci NOT NULL,
  `sprijmeni` text COLLATE utf8_czech_ci NOT NULL,
  `sheslo` text COLLATE utf8_czech_ci NOT NULL,
  `sstat` text COLLATE utf8_czech_ci NOT NULL,
  `smesto` text COLLATE utf8_czech_ci NOT NULL,
  `sulice` text COLLATE utf8_czech_ci NOT NULL,
  `spsc` text COLLATE utf8_czech_ci NOT NULL,
  `stelefon` text COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `sdoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_uzivatele` int(11) NOT NULL,
  PRIMARY KEY (`id_smuzivatele`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `suzivatel`
--

CREATE TABLE IF NOT EXISTS `suzivatel` (
  `id_suzivatele` int(11) NOT NULL AUTO_INCREMENT,
  `semail` text COLLATE utf8_czech_ci NOT NULL,
  `sjmeno` text COLLATE utf8_czech_ci NOT NULL,
  `sprijmeni` text COLLATE utf8_czech_ci NOT NULL,
  `sheslo` text COLLATE utf8_czech_ci NOT NULL,
  `sstat` text COLLATE utf8_czech_ci NOT NULL,
  `smesto` text COLLATE utf8_czech_ci NOT NULL,
  `sulice` text COLLATE utf8_czech_ci NOT NULL,
  `spsc` text COLLATE utf8_czech_ci NOT NULL,
  `stelefon` text COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `sdoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_uzivatele` int(11) NOT NULL,
  PRIMARY KEY (`id_suzivatele`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `szatez`
--

CREATE TABLE IF NOT EXISTS `szatez` (
  `id_szateze` int(11) NOT NULL AUTO_INCREMENT,
  `stext` longtext COLLATE utf8_czech_ci NOT NULL,
  `sifra` varchar(20) COLLATE utf8_czech_ci NOT NULL,
  `sdoba` text COLLATE utf8_czech_ci NOT NULL,
  `id_zateze` int(11) NOT NULL,
  PRIMARY KEY (`id_szateze`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `uzivatel`
--

CREATE TABLE IF NOT EXISTS `uzivatel` (
  `id_uzivatele` int(11) NOT NULL AUTO_INCREMENT,
  `email` text COLLATE utf8_czech_ci NOT NULL,
  `jmeno` text COLLATE utf8_czech_ci NOT NULL,
  `prijmeni` text COLLATE utf8_czech_ci NOT NULL,
  `heslo` text COLLATE utf8_czech_ci NOT NULL,
  `stat` text COLLATE utf8_czech_ci NOT NULL,
  `mesto` text COLLATE utf8_czech_ci NOT NULL,
  `ulice` text COLLATE utf8_czech_ci NOT NULL,
  `psc` text COLLATE utf8_czech_ci NOT NULL,
  `telefon` text COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`id_uzivatele`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=101 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `zatez`
--

CREATE TABLE IF NOT EXISTS `zatez` (
  `id_zateze` int(11) NOT NULL AUTO_INCREMENT,
  `text` longtext COLLATE utf8_czech_ci NOT NULL,
  PRIMARY KEY (`id_zateze`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci AUTO_INCREMENT=4 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
