<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="author" content="Jan Podavka" />
        <title>Bakalářská práce</title>
    </head>
    <body>
        <?php
            require_once './class/classCrypt.php'; 
            require_once './class/classSQL.php';       
            
            $key = "v9Pc_7pH%2aCvnX";
            
            $sifra = new ClassCrypt();
            $databaze = new classSQL();             
            
            $crypt = $sifra->getCrypt();
            $query = "SELECT * FROM semail";
            $sifrovaneEmaily = $databaze->query($query);
            
            while($data = mysqli_fetch_array($sifrovaneEmaily)) { 
                $idEmailu = $data['id_semail'];
                $zasifrovanyPredmet = $data['spredmet'];
                $zasifrovanyText = $data['stext'];
                
                
                $zacatekCas = time();
                $zacatekDesifrovani = microtime();

                $desifrovanyPredmet = $sifra->decryptKey($zasifrovanyPredmet, $key);
                $desifrovanyText = $sifra->decryptKey($zasifrovanyText, $key);

                $konecDesifrovani = microtime();  
                $konecCas = time();

                $cas = $konecCas - $zacatekCas;

                $dobaDesifrovani = $konecDesifrovani-$zacatekDesifrovani;

                if($dobaDesifrovani<0){
                    $dobaDesifrovani = (1 + $dobaDesifrovani) + ($cas -1);
                }else{
                    $dobaDesifrovani = $dobaDesifrovani + $cas;
                }
            
                $query2 = "INSERT INTO demail (dpredmet, dtext, sifra, ddoba, id_semail) 
                    VALUES ('$desifrovanyPredmet', '$desifrovanyText', '$crypt', '$dobaDesifrovani', '$idEmailu')";
                $databaze->query($query2);
            }              
        ?>
    </body>
</html>
