<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="author" content="Jan Podavka" />
        <title>Bakalářská práce</title>
    </head>
    <body>
        <?php
            require_once './class/classCrypt.php';
            require_once './class/classSQL.php';
            
//            set_time_limit(200); 
                  
            $key = "v9Pc_7pH%2aCvnX";
                        
            $sifra = new ClassCrypt();
            $databaze = new classSQL();        
               
            $crypt = $sifra->getCrypt();  
            $query = "SELECT * FROM email";
            $emaily = $databaze->query($query);
            
            while($data = mysqli_fetch_array($emaily)) { 
                $idEmailu = $data['id_emailu'];
                $predmet = $data['predmet'];
                $text = $data['text'];
                
                $zacatekCas = time();
                $zacatekSifrovani = microtime();

                $zasifrovanyPredmet = $sifra->encryptKey($predmet, $key);
                $zasifrovanyText = $sifra->encryptKey($text, $key);

                $konecSifrovani = microtime();    
                $konecCas = time();

                $cas = $konecCas - $zacatekCas;            
                $dobaSifrovani = $konecSifrovani-$zacatekSifrovani;

                if($dobaSifrovani<0){
                    $dobaSifrovani = (1 + $dobaSifrovani) + ($cas -1);
                }else{
                    $dobaSifrovani = $dobaSifrovani + $cas;
                }
                $query2 = "INSERT INTO semail (spredmet, stext, sifra, sdoba, id_emailu) 
                    VALUES ('$zasifrovanyPredmet', '$zasifrovanyText', '$crypt', '$dobaSifrovani', '$idEmailu')";
                $databaze->query($query2);            
            }
            
        ?>
    </body>
</html>
