<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="author" content="Jan Podavka" />
        <title>Bakalářská práce</title>
    </head>
    <body>
        <?php
            require_once './class/classCrypt.php';
            require_once './class/classSQL.php';
            
//            set_time_limit(200); 
                        
            $key = "v9Pc_7pH%2aCvnX";
            
            $sifra = new ClassCrypt();
            $databaze = new classSQL();             
            
            $crypt = $sifra->getCrypt();
            $query = "SELECT * FROM uzivatel";
            $uzivatele = $databaze->query($query);
            
            while($data = mysqli_fetch_array($uzivatele)) {            
                $idUzivatele = $data['id_uzivatele'];
                $email = $data['email'];
                $jmeno = $data['jmeno'];
                $prijmeni = $data['prijmeni'];
                $heslo = $data['heslo'];
                $stat = $data['stat'];
                $mesto = $data['mesto'];
                $ulice = $data['ulice'];
                $psc = $data['psc'];
                $telefon = $data['telefon'];                    
            
                $zacatekCas = time();
                $zacatekSifrovani = microtime();        
            
                $zasifrovanyEmail = $sifra->encryptKey($email, $key);
                $zasifrovaneJmeno = $sifra->encryptKey($jmeno, $key);
                $zasifrovanePrijmeni = $sifra->encryptKey($prijmeni, $key);
                $zasifrovaneHeslo = $sifra->encryptKey($heslo, $key);
                $zasifrovanyStat = $sifra->encryptKey($stat, $key);
                $zasifrovaneMesto = $sifra->encryptKey($mesto, $key);
                $zasifrovanaUlice = $sifra->encryptKey($ulice, $key);
                $zasifrovanePsc = $sifra->encryptKey($psc, $key);
                $zasifrovanyTelefon = $sifra->encryptKey($telefon, $key);

                $konecSifrovani = microtime();    
                $konecCas = time();

                $cas = $konecCas - $zacatekCas;            
                $dobaSifrovani = $konecSifrovani-$zacatekSifrovani;

                if($dobaSifrovani<0){
                    $dobaSifrovani = (1 + $dobaSifrovani) + ($cas -1);
                }else{
                    $dobaSifrovani = $dobaSifrovani + $cas;
                }

                $query2 = "INSERT INTO suzivatel (semail, sjmeno, sprijmeni, sheslo, sstat, smesto, sulice, spsc, stelefon, sifra, sdoba, id_uzivatele) 
                    VALUES ('$zasifrovanyEmail', '$zasifrovaneJmeno', '$zasifrovanePrijmeni', '$zasifrovaneHeslo', '$zasifrovanyStat',
                            '$zasifrovaneMesto', '$zasifrovanaUlice', '$zasifrovanePsc', '$zasifrovanyTelefon', '$crypt', '$dobaSifrovani', '$idUzivatele'  )";

                $databaze->query($query2);  
            }
        ?>
    </body>
</html>
